/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package gamegraphics;

import java.awt.Color;
import javax.swing.JPanel;
import javax.swing.JTextPane;
import javax.swing.text.html.HTMLEditorKit;

/**
 *
 * @author Ani
 */
public class NoAuthorityPanel extends JPanel{
    private JTextPane textPane;


    public NoAuthorityPanel() {
        init();
    }


    private void init() {
        initSettings();
        initTextPane();
    }

    private void initSettings(){
        setSize(800, 500);
        setLayout(null);
        setBackground(new Color(30, 180, 30));
    }

    private void initTextPane(){
        textPane = new JTextPane();
        textPane.setEditorKit(new HTMLEditorKit());
        textPane.setEditable(false);
        textPane.setBounds(200, 200, 400, 200);
        textPane.setBackground(getBackground());
        textPane.setText("<h1 align=\"center\" style=\"font-size: 30px\">Ha nincs regisztráció, nincs játék!</h1>");
        add(textPane);
    }


}
